Home | All Classes | Grouped Classes | Index | Search

# CL_IPAddress::set_address

Set the IP address using a hostname and port.

    	void set_address(
    		const std::string& hostname, const std::string& port);

Parameters:

hostname
  Can be an IPv4 dotted-quad, hostname or a valid IPv6 address.
port
  Port number.

See also:

CL_IPAddress

Questions or comments, write to the ClanLib mailing list.